curl --request POST \
--url http://co-mind-platform-host/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "nomic-embed-text",
"input": "<string>"
}
'{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
123
],
"index": 123
}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}Generate text embeddings
curl --request POST \
--url http://co-mind-platform-host/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "nomic-embed-text",
"input": "<string>"
}
'{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
123
],
"index": 123
}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}Bearer token authentication. Supports two token types:
POST /v1/auth/loginPOST /v1/api-tokens, format: cmnd_<tokenId>.<secret>